<?php

namespace App\Livewire\Admin;

use App\Models\Room;

use Livewire\Component;

class RoomDetailModal extends Component
{
    

    protected $listeners = ['openModal'];

    public $room;
    public bool $showModal = false;

    public function openModal($roomId)
    {
        $this->room = Room::find($roomId);
        $this->showModal = true;
    }
    
    public function render()
    {
        return view('livewire.admin.room-detail-modal');
    }
}
